FROM node:20

RUN mkdir -p /usr/src/app/server/
WORKDIR /usr/src/app/

COPY ./server /usr/src/app/server
COPY ./package.json /usr/src/app/package.json
COPY ./package-lock.json /usr/src/app/package-lock.json
COPY ./.serverrc.js /usr/src/app/.serverrc.js
# COPY ./.env /usr/src/app/.env

# RUN npm i --omit=dev
RUN npm ci
EXPOSE 8044

CMD ["npm", "run", "up:prod"]
